/*
 * JSPTem - use jsp's for all your templating!
 * Copyright (c) 2006, Paul Tuckey
 * All rights reserved.
 *
 * JSPTem is based on GNUJSP
 * Copyright (C) 1999, Yaroslav Faybishenko <yaroslav@cs.berkeley.edu>
 *
 * Each copy or derived work must preserve the copyright notice and this
 * notice unmodified.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
package org.tuckey.jsptem.servlet;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletInputStream;
import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.io.Writer;
import java.security.Principal;
import java.util.Enumeration;
import java.util.Locale;
import java.util.Map;


public class JspTemHttpServletRequest implements HttpServletRequest {
    private Writer writer;

    public boolean isRequestedSessionIdFromCookie() {
        return false;
    }

    public boolean isRequestedSessionIdFromURL() {
        return false;
    }

    /**
     * @deprecated
     */
    public boolean isRequestedSessionIdFromUrl() {
        return false;
    }

    public boolean isRequestedSessionIdValid() {
        return false;
    }

    public String getAuthType() {
        return null;
    }

    public String getContextPath() {
        return null;
    }

    public String getMethod() {
        return null;
    }

    public String getPathInfo() {
        return null;
    }

    public String getPathTranslated() {
        return null;
    }

    public String getQueryString() {
        return null;
    }

    public String getRemoteUser() {
        return null;
    }

    public String getRequestURI() {
        return null;
    }

    public String getRequestedSessionId() {
        return null;
    }

    public String getServletPath() {
        return null;
    }

    public int getIntHeader(String string) {
        return 0;
    }

    public long getDateHeader(String string) {
        return 0;
    }

    public boolean isUserInRole(String string) {
        return false;
    }

    public StringBuffer getRequestURL() {
        return null;
    }

    public Principal getUserPrincipal() {
        return null;
    }

    public Enumeration getHeaderNames() {
        return null;
    }

    public Cookie[] getCookies() {
        return new Cookie[0];
    }

    public HttpSession getSession() {
        return null;
    }

    public HttpSession getSession(boolean b) {
        return null;
    }

    public String getHeader(String string) {
        return null;
    }

    public Enumeration getHeaders(String string) {
        return null;
    }

    public int getContentLength() {
        return 0;
    }

    public int getLocalPort() {
        return 0;
    }

    public int getRemotePort() {
        return 0;
    }

    public int getServerPort() {
        return 0;
    }

    public boolean isSecure() {
        return false;
    }

    public BufferedReader getReader() throws IOException {
        return null;
    }

    public String getCharacterEncoding() {
        return null;
    }

    public String getContentType() {
        return null;
    }

    public String getLocalAddr() {
        return null;
    }

    public String getLocalName() {
        return null;
    }

    public String getProtocol() {
        return null;
    }

    public String getRemoteAddr() {
        return null;
    }

    public String getRemoteHost() {
        return null;
    }

    public String getScheme() {
        return null;
    }

    public String getServerName() {
        return null;
    }

    public void removeAttribute(String string) {

    }

    public void setCharacterEncoding(String string) throws UnsupportedEncodingException {

    }

    public Enumeration getAttributeNames() {
        return null;
    }

    public Enumeration getLocales() {
        return null;
    }

    public Enumeration getParameterNames() {
        return null;
    }

    public Locale getLocale() {
        return null;
    }

    public Map getParameterMap() {
        return null;
    }

    public ServletInputStream getInputStream() throws IOException {
        return null;
    }

    public Object getAttribute(String string) {
        return null;
    }

    public void setAttribute(String string, Object object) {

    }

    public String getParameter(String string) {
        return null;
    }

    /**
     * @deprecated
     */
    public String getRealPath(String string) {
        return null;
    }

    public String[] getParameterValues(String string) {
        return new String[0];
    }

    public RequestDispatcher getRequestDispatcher(String string) {
        return null;
    }

    public void setWriter(Writer writer) {
        this.writer = writer;
    }

    public Writer getWriter() {
        return writer;
    }
}
